Bug#815639: geary: Geary won't start

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#815639: geary: Geary won't start

Kristof Csillag
Package: geary
Version: 0.10.0-1
Severity: important

When I try to launch geary, I get this:

user@host:~$ geary

(geary:17024): GLib-GIO-ERROR **: Settings schema 'org.yorba.geary' does not contain a key named 'composer-pane-position'
Trace/breakpoint trap

....and the it exits.

The same version of geary (0.10.0) works for me if I compile it myself,
this only happens with the debian package.

It would be great if it could be fixed.




-- System Information:
Debian Release: 8.3
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.3.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=hu_HU.UTF-8, LC_CTYPE=hu_HU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages geary depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.22.0-1
ii  gnome-keyring                                3.14.0-1+b1
ii  kwalletmanager                               4:4.14.2-1
ii  libc6                                        2.21-9
ii  libcairo2                                    1.14.0-2.1
ii  libcanberra0                                 0.30-2.1
ii  libgcr-base-3-1                              3.14.0-2
ii  libgdk-pixbuf2.0-0                           2.31.1-2+deb8u4
ii  libgee-0.8-2                                 0.18.0-1
ii  libglib2.0-0                                 2.46.2-3
ii  libgmime-2.6-0                               2.6.20-1+b1
ii  libgtk-3-0                                   3.18.7-1
ii  libnotify4                                   0.7.6-2
ii  libpango-1.0-0                               1.38.1-1
ii  libpangocairo-1.0-0                          1.38.1-1
ii  libsecret-1-0                                0.18.4-1
ii  libsqlite3-0                                 3.11.0-1
ii  libwebkitgtk-3.0-0                           2.4.9-3
ii  libxml2                                      2.9.3+dfsg1-1

geary recommends no packages.

geary suggests no packages.

-- debconf-show failed

Reply | Threaded
Open this post in threaded view
|

Bug#815639: geary: Geary won't start

Vincent Cheng-2
On Tue, Feb 23, 2016 at 12:39 AM, Kristof Csillag
<[hidden email]> wrote:

> Package: geary
> Version: 0.10.0-1
> Severity: important
>
> When I try to launch geary, I get this:
>
> user@host:~$ geary
>
> (geary:17024): GLib-GIO-ERROR **: Settings schema 'org.yorba.geary' does not contain a key named 'composer-pane-position'
> Trace/breakpoint trap
>
> ....and the it exits.
>
> The same version of geary (0.10.0) works for me if I compile it myself,
> this only happens with the debian package.
>
> It would be great if it could be fixed.

I'm unable to reproduce this; geary/0.10.0-1 launches fine for me on
my current testing/sid system, without needing to be rebuilt. You
shouldn't expect packages from sid to function on a stable system
as-is; re-building it in a stable environment/chroot before being able
to use a given package on stable is often necessary, assuming that's
what you're trying to achieve.

Regards,
Vincent